services:
  app.listener.entity.offert_order_listener:
    class: App\Listener\Entity\OfferOrderListener
    tags:
      - { name: doctrine.orm.entity_listener, entity: App\Entity\Order\OfferOrder, event: prePersist, lazy: true }
      - { name: doctrine.orm.entity_listener, entity: App\Entity\Order\OfferOrder, event: preUpdate, lazy: true }
      - { name: doctrine.orm.entity_listener, entity: App\Entity\Order\OfferOrder, event: postUpdate, lazy: true }
    arguments:
      [ '@App\Service\Offer\OfferOrderService', '@App\Service\Customer\CommercialService', '@App\Service\MembershipService' ]